---
title: 'RTCPeerConnection: signalingstatechange event'
slug: Web/API/RTCPeerConnection/signalingstatechange_event
tags:
  - API
  - Event
  - Media
  - Reference
  - Signaling
  - WebRTC
  - WebRTC API
  - signalingState
  - signalingstatechange
  - state
---
<p>{{WebRTCSidebar}}</p>

<p>An <strong><code>signalingstatechange</code></strong> event is sent to an {{domxref("RTCPeerConnection")}} to notify it that its signaling state, as indicated by the {{domxref("RTCPeerConnection.signalingState", "signalingState")}} property, has changed.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{DOMxRef("Event")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{DOMxRef("RTCPeerConnection.onsignalingstatechange")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>Given an {{domxref("RTCPeerConnection")}}, <code>pc</code>, and an <code>updateStatus()</code> function that presents status information to the user, this code sets up an event handler to let the user know when the ICE negotiation process finishes up.</p>

<pre class="brush: js">pc.addEventListener("signalingstatechange", ev =&gt; {
  switch(pc.signalingState) {
    case "stable":
      updateStatus("ICE negotiation complete");
      break;
  }
}, false);
</pre>

<p>Using {{domxref("RTCPeerConnection.onsignalingstatechange", "onsignalingstatechange")}}, it looks like this:</p>

<pre class="brush: js">pc.onsignalingstatechange = ev =&gt; {
  switch(pc.signalingState) {
    case "stable":
      updateStatus("ICE negotiation complete");
      break;
    }
};</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{ SpecName('WebRTC 1.0', '#event-signalingstatechange', 'signalingstatechange') }}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCPeerConnection.signalingstatechange_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebRTC_API">WebRTC API</a></li>
 <li>{{domxref("RTCPeerConnection.signalingState")}}</li>
</ul>
